SCHED_YIELD(2)

NAME
sched_yield - yield the processor

SYNOPSIS
#include <sched.h>

int sched_yield(void);

DESCRIPTION
A process can relinquish the processor voluntarily without blocking by calling sched_yield(). The process will then be moved to the end of the queue for its static priority and a new process gets to run. Note: If the current process is the only process in the highest priority list at that time, this process will continue to run after a call to sched_yield(). POSIX systems on which sched_yield() is available define _POSIX_PRIORITY_SCHEDULING in <unistd.h>.

RETURN VALUE
On success, sched_yield() returns 0. On error, -1 is returned, and errno is set appropriately.

CONFORMING TO
POSIX.1-2001.

SEE ALSO
sched_setscheduler(2) for a description of Linux scheduling.

Programming for the real world - POSIX.4 by Bill O. Gallmeister, O'Reilly & Associates, Inc., ISBN 1-56592-074-0